Toggle menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

Switch:Gamecard Reader

From Hacks Guide Wiki
This is the approved revision of this page, as well as being the most recent.

Certain switch firmware (HOS) revisions also update the gamecard controller (lotus) firmware. This can cause issues if your HOS version and lotus firmware version do not match.

At the time of writing there have been 4 HOS versions that updated the lotus firmware: 4.1.0, 9.0.0, 11.0.0 and 12.0.0. The lotus update is applied by the bootloader, meaning if you boot using the stock bootloader (note the "stock" option in hekate does not do this) your gamecard controller will be updated.

Lotus version Compatible HOS versions
1.0.0 1.0.0-4.0.1
4.1.0 4.1.0-8.1.1
9.0.0 9.0.0-11.0.1
12.0.0 12.0.0-18.0.1

Once your lotus firmware has been upgraded, it cannot be downgraded. Additionally, if your lotus version does not match your HOS version as shown above, game cards will not work and attempting to boot with a gamecard inserted will cause a crash with error code 2002-2634. You can boot with mismatched lotus and HOS version with the gamecard removed, but you will be unable to use gamecards.

If you updated while preserving fuses

Both atmosphere and hekate will automatically prevent your gamecard controller from updating, causing it to retain the lower lotus firmware. This means it can still work on the lower switch firmware version, but will not work on the newer switch firmware.

If you want to use gamecards after the update, understanding that any lotus updates cannot be reversed, you can disable this check.

  • If you boot using fusee.bin: add nogc=0 to SD:/atmosphere/config/stratosphere.ini.
  • If you boot using hekate FSS0: launch hekate and navigate to Options, then change Auto NoGC to OFF.